require vmmTbl

epicsEnvSet("IPADDR", "192.168.50.2")
epicsEnvSet("IPPORT", "65535")
epicsEnvSet("P", "LAB-Marco:")
epicsEnvSet("DIS", "NDet-")
epicsEnvSet("RMM-DEV", "$(DIS)RMM-001:")

drvAsynIPPortConfigure("L0", "$(IPADDR):$(IPPORT) UDP", 0, 0, 1)

#asynSetTraceMask(   L0, -1, 0x9)
#asynSetTraceIOMask( L0, -1, 0x4)
#asynSetTraceInfoMask ( L0, -1, 0x9)

RMMConfig("RMM", "$(IPADDR)", "$(IPPORT)", "$(E3_CMD_TOP)/config_file/lab_testbed.json")

epicsEnvSet("VMM-DEV", "$(DIS)VMM-")
epicsEnvSet("HYB-DEV", "$(DIS)VMMHYB-")
epicsEnvSet("VMM3A-DEV", "$(DIS)VMM3A-")

dbLoadRecords("${asyn_DIR}/db/asynRecord.db","P=asyn:,R=Test,PORT=L0,ADDR=0,IMAX=0,OMAX=0")
dbLoadRecords($(rmm_DB)/rmm.db, "P=$(P), R=$(RMM-DEV), PORT=RMM, ADDR=0, TIMEOUT=1")
dbLoadRecords($(rmm_DB)/rmm_sensors.db, "P=$(P), R=$(RMM-DEV), PORT=RMM, ADDR=0, TIMEOUT=1")
dbLoadRecords($(rmm_DB)/ring.db, "P=$(P), R=$(RMM-DEV), ADDR=0, PORT=RMM, ADDR=0, TIMEOUT=1")

############## Global configurations

epicsEnvSet("Glob", "G:")
dbLoadRecords("$(vmmTbl_DB)/vmm-fen-global.db", "P=$(P), R=$(VMM-DEV)$(Glob)")
dbLoadRecords("$(vmmTbl_DB)/hyb-global.db", "P=$(P), R=$(VMM-DEV)$(Glob)")
dbLoadRecords("$(vmmTbl_DB)/channels-global.db", "P=$(P), R=$(VMM-DEV)$(Glob), PORT=VMM0, ADDR=0, TIMEOUT=1")

############## Particular rings

epicsEnvSet("RING", "00")
epicsEnvSet("RING-1-DIGIT", "0")
epicsEnvSet("PORT", "VMM0")
epicsEnvSet("R-VMM", "$(VMM-DEV)$(RING):")
epicsEnvSet("R-VMM0", "$(R-VMM)")
epicsEnvSet("R-HYB", "$(HYB-DEV)$(RING)")
epicsEnvSet("R-VMM3A", "$(VMM3A-DEV)$(RING)")
< ./vmm.cmd

epicsEnvSet("RING", "01")
epicsEnvSet("RING-1-DIGIT", "1")
epicsEnvSet("PORT", "VMM1")
epicsEnvSet("R-VMM", "$(VMM-DEV)$(RING):")
epicsEnvSet("R-VMM1", "$(R-VMM)")
epicsEnvSet("R-HYB", "$(HYB-DEV)$(RING)")
epicsEnvSet("R-VMM3A", "$(VMM3A-DEV)$(RING)")
< ./vmm.cmd

epicsEnvSet("RING", "02")
epicsEnvSet("RING-1-DIGIT", "2")
epicsEnvSet("PORT", "VMM2")
epicsEnvSet("R-VMM", "$(VMM-DEV)$(RING):")
epicsEnvSet("R-VMM2", "$(R-VMM)")
epicsEnvSet("R-HYB", "$(HYB-DEV)$(RING)")
epicsEnvSet("R-VMM3A", "$(VMM3A-DEV)$(RING)")
< ./vmm.cmd

epicsEnvSet("RING", "03")
epicsEnvSet("RING-1-DIGIT", "3")
epicsEnvSet("PORT", "VMM3")
epicsEnvSet("R-VMM", "$(VMM-DEV)$(RING):")
epicsEnvSet("R-VMM3", "$(R-VMM)")
epicsEnvSet("R-HYB", "$(HYB-DEV)$(RING)")
epicsEnvSet("R-VMM3A", "$(VMM3A-DEV)$(RING)")
< ./vmm.cmd

epicsEnvSet("RING", "04")
epicsEnvSet("RING-1-DIGIT", "4")
epicsEnvSet("PORT", "VMM4")
epicsEnvSet("R-VMM", "$(VMM-DEV)$(RING):")
epicsEnvSet("R-VMM4", "$(R-VMM)")
epicsEnvSet("R-HYB", "$(HYB-DEV)$(RING)")
epicsEnvSet("R-VMM3A", "$(VMM3A-DEV)$(RING)")
< ./vmm.cmd

iocInit()

